@import '../../../../../../../../../vendor/scandipwa/source/src/app/component/Menu/Menu.style.scss';

:root {
    --menu-desktop-background-color: rgba(122, 122, 122, 0.44);
    --menu-desktop-height: 60px;
    --menu-item-figure-background: var(--secondary-base-color);
    --menu-item-hover-color: var(--primary-base-color);
    --menu-second-level-color: #000;
}

body {
    &.disableScroll {
        overflow: hidden;
    }
}

.Menu {
    scrollbar-width: none;

    div {
        scrollbar-width: none;
    }
    &-Link {
        padding-left: 0;
        color: var(--menu-second-level-color);
        white-space: nowrap;
    }

    &-ItemCaption_type_main {
        text-align: center;
    }

    &-SubCategoriesWrapper {
        width: 100%;
        position: static;
        pointer-events: none;
    }

    &-SubCategories {
        padding: 0;
    }

    &-SubLevelDesktop {
        .Menu-Link {
            font-family: 'Work Sans', sans-serif;
        }
    }

    &-SubItemWrapper {
        flex-basis: auto;

        @include desktop {
            margin-right: 2rem;
            margin-bottom: 2rem;

            &:last-child {
                margin-right: 0;
            }
        }
    }

    &-MainCategories {
        display: block;
        display: -webkit-flex;
        display: flex;
        width: 100%;
        max-width: var(--content-wrapper-width);
        padding: 0 var(--content-wrapper-padding);
        padding-right: 40px;
        padding-left: 1rem;
        margin: auto;
        margin: 0 auto;
        -webkit-justify-content: space-between;
        justify-content: space-between;
        z-index: 1;
        pointer-events: none;
    }

    &-CategoryItem {
        display: inline-block;
        padding-left: 0;
        margin-bottom: 0;
        -webkit-flex-grow: 1;
        flex-grow: 1;
        font-size: 16px;
        text-align: center;
        white-space: nowrap;

        .Menu-Link {
            color: #fff;
            text-align: center;
        }
    }

    &-ItemFigure {
        font-family: $font-rifton;
    }
    &-ItemCaption_type_main {
        font-family: $font-rifton;
        text-align: center;
    }

    &-SubLevelDesktop &-ItemList {
        display: flex;
        padding: 0;
        flex-direction: column;

        .Menu-ItemFigure {
            font-family: $font-work-sans;
        }
    }

    &-Overlay {
        @include after-mobile {
            display: none;
        }
    }
}

.prm {
    .Menu {
        &-CategoryItem {
            > .Menu-Link {
                width: 100%;

                &:hover,
                &:active,
                &:focus {
                    background-color: var(--secondary-hover-color);

                    .Menu-ItemCaption {
                        font-weight: bold;
                    }
                }
            }
        }
    }
}
